%global momorel 2

Summary: HOWTO, FAQ, and other documentations in Japanese
Name: JF
%define date 20030325
Version: 0.0%{date}
Release: %{momorel}m
Group: Documentation
#Source0: http://www.linux.or.jp/JF/JFdocs/JFhtml.tar.bz2
#Source1: http://www.linux.or.jp/JF/JFdocs/JFtxt.tar.bz2
Source0: JFhtml-%{date}.tar.bz2
Source1: JFtxt-%{date}.tar.bz2
License: see "http://www.linux.or.jp/JF/copyright.html"
URL: http://www.linux.or.jp/JF/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildPreReq: nkf
# Provides: JFhtml, JFtxt
# Obsoletes: JFhtml, JFtxt

%description
none

%package -n JFtxt
Summary: HOWTO, FAQ, and other documentations in Japanese
Group: Documentation
Prefix: %{_defaultdocdir}

%description -n JFtxt
HOWTO's (Instructions on how to do many things in Linux), Japanese
FAQs, etc assembled from the JF (Japanese FAQ) Project. There are
both translations for English HOWTO's, FAQs, etc and documents that
are originally in Japanese. It may be a good idea to install this
package and have a look at the information in it.

%package -n JFhtml
Summary: HOWTO, FAQ, and other documentations in Japanese
Group: Documentation
Prefix: %{_defaultdocdir}

%description -n JFhtml
HOWTO's (Instructions on how to do many things in Linux), Japanese
FAQs, etc assembled from the JF (Japanese FAQ) Project. There are
both translations for English HOWTO's, FAQs, etc and documents that
nare originally in Japanese. It may be a good idea to install this
package and have a look at the information in it.

%package -n namazu_JFdb
Group: Applications/Text
Summary: Namazu index files of JF.

%description -n namazu_JFdb
Namazu index files of JF.

%prep

%setup -q -c -T 0

%build

%install
rm -rf %{buildroot}

toEuc(){
file=$1
nkf -e $i >$i.new
mv $i.new $i
}

mkdir -p %{buildroot}%{_defaultdocdir}/JF
cd %{buildroot}%{_defaultdocdir}/JF

tar xzf %{SOURCE0} && mv JFdocs html
tar xzf %{SOURCE1} && mv JFdocs txt

# remove documents prohibited to distirute non-commercially...
#
# cf. http://www.linux.or.jp/JF/copyright.html
#
rm -rf */Astronomy-HOWTO*
rm -rf */Chinese-HOWTO*
rm -rf */Home-Network-mini-HOWTO*
#rm -rf */Loopback-Encrypted-Filesystem-HOWTO*
rm -rf */Offline-Mailing*
rm -rf */Quota*
rm -rf */Scanner-HOWTO-mtekscan*
rm -rf */Securing-X-Windows*
rm -rf */StarOffice*
rm -rf */Term-HOWTO*

for i in `find . -name '*.html'`; do toEuc $i; done
for i in `find . -name '*.txt'`; do toEuc $i; done

# find %{buildroot}%{_defaultdocdir}/JF/html -name '*.html' | xargs bzip2 -9
find %{buildroot}%{_defaultdocdir}/JF/txt -name '*.txt' | xargs bzip2 -9

NMZDBDIR=%{buildroot}%{_datadir}/namazu/index
mkdir -p ${NMZDBDIR}/JF
(
cd ${NMZDBDIR}/JF
mknmz -L ja -H %{buildroot}%{_defaultdocdir}/JF \
  --replace="s,%{buildroot},," | tee log
tail -13 log | head -12 > mknmz.log
rm -f NMZ.slog log
)

%clean
rm -rf %{buildroot}

%files -n JFtxt
%defattr(-,root,root)
%{_defaultdocdir}/JF/txt/

%files -n JFhtml
%defattr(-,root,root)
%{_defaultdocdir}/JF/html/

%files -n namazu_JFdb
%defattr(-,root,root)
%{_datadir}/namazu/index/JF

%changelog
* Thu Oct 23 2003 zunda <zunda at freeshell.org>
- (0.020030325-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Mar 31 2003 smbd <smbd@momonga-linux.org>
- (0.020030325-1m)
- update

* Sat Sep 21 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.020020921-1m)
- cleanup spec file
- remove undistributable files correctly

* Sat Sep 21 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (0.020020226-3m)
- use /bin/ls instead of ls (to avoid coloring)
- JF: separated to 2 subpkgs
- Prefix: set to defaultdocdir (txt and html)
  because relocatable
- canceled bzip'ing for html
- (cd;do) -> pushd;do;popd (to avoid ignoring errors)
  (not for mknmz because I don't have namazu installed ;)

* Wed Feb 27 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.020020226-2k)
- merge JFhtml, JFtxt and namazu_JFdb into one spec file

* Thu Dec  6 2001 Kazuhiko <kazuhiko@kondara.org>
- (0.020011204-2k)

* Sun Oct 14 2001 Masaru Sato <masachan@kondara.org>
- Modify BuildRoot

* Thu May 31 2001 TABUCHI Takaaki <tab@kondara.org>
- (0.020010528-2k)
- update contents
- change version number (add 0.0)
- rm -f Linux-FAQ*

* Tue Oct 18 2000 Kazuhiko <kazuhiko@kondara.org>
- (20001016-3k)
- revive Advocacy, Ext2fs-Undeletion, GIS-GRASS, Linux-FAQ, Term-HOWTO,
-   VMS-to-Linux-HOWTO
- remove VME-HOWTO

* Mon Oct 16 2000 Kazuhiko <kazuhiko@kondara.org>
- (20001016-1k)

* Thu Aug 24 2000 Kazuhiko <kazuhiko@kondara.org>
- base on FHS

* Wed Jul 04 2000 TABUCHI Takaaki <tab@kondara.org>
- updated to 200006(30-Jun-2000 19:59)
- added -q at %setup
- comment out "rm PCI-HOWTO*"
- added BuildPreReq: nkf
- chaged BuildRoot

* Wed Jan 12 2000 HAYAKAWA Hitoshi <cz8cb01@linux.or.jp>
- updated to 200001(build the tar.bz2 from http://www.linux.or.jp/JF/JFdocs/JFhtml.tar.gz)

* Thu Jul 29 1999 Jun Nishii <jun@flatout.org>
- updated to 199907

* Mon Feb 15 1999 Jun Nishii <jun@flatout.org>
- updated to 199902
- use JFeuc.tar.bz2

* Tue Feb 2 1999 Jun Nishii <jun@flatout.org>
- updated to 199901
- Now we use version number yyyymm instead of yymmdd
  to avoid 2000 y problem B)
